<div class="wrapper-outer">
    <div class="container">
        <div class="row">
            <div class="col-sm-12">
                <div class="cont-login">
                    <div class="search-box-wrapper">
                        <form [formGroup]="searchGroupForm" (ngSubmit)="searchJobByItem()"> 
                            <input type="text" name="srch" placeholder="Job name"
                            aria-label="searchedItem" formControlName="searchedItem" [matAutocomplete]="auto" formControlName="searchedItem">
                            <mat-autocomplete #auto="matAutocomplete">
                                <mat-option *ngFor="let history of searchHistoryList" [value]="history">
                                    <span>{{history}}</span>
                                </mat-option>
                            </mat-autocomplete>
                            <input type="submit" name="">
                        </form>
                    </div>

                    <div class="job-box"  *ngFor="let item of allPaymentStatus; let i = index">
                        <div class="row">
                            <div class="col-6">
                        <!-- <h5>{{item.fname+'&nbsp;'+item.lname}}</h5> -->
                        <p><strong>Name:</strong> {{item.fname+ '&nbsp;' +item.lname}}</p>

                                <p><strong>Job:</strong> {{item.roleName}}</p>
                                <p><strong>Location:</strong> {{item.JoblocationName}}</p>
                                <!-- <p><strong>Pay type:</strong> Hourly</p> -->
                                <!-- <p><strong>Onsite/Offsite</strong></p> -->
                            </div>
                            <div class="col-6 text-right">
                                <span class="hrsts" style="color:#51c845;">{{item.paymentStatus}}</span>
                                <a (click)="openJobDetails(item.jobId ,item.hireList.roleId )" href="javascript:void(0);" class="btn border">Job
                                    Detail</a>
                            </div>
                        </div>
                    </div>
                </div>
             <!-- Pagination -->
            <pagination [totalItems]="total" [itemsPerPage]="perPage" [(ngModel)]="pageNo" [maxSize]="totalNoOfPages" previousText="&lsaquo;" nextText="&rsaquo;" firstText="&laquo;" lastText="&raquo;" [boundaryLinks]="true" [rotate]="false" (pageChanged)="getPaginatedData($event)" class="pagination-sm justify-content-center" [disabled]="dataFetching" *ngIf="total"></pagination>
            </div>    
        </div>
    </div>
  </div>
  